<?php
session_start(); 
require_once('../conexion.php');
require_once('../include/sesiones.php');
if (isset($_POST['vena_id'])){ $vena_id=$_POST['vena_id'];}
if (isset($_POST['art_id'])){ $art_id=$_POST['art_id'];}
if (isset($_POST['art_art_id'])){ $art_art_id=$_POST['art_art_id'];}
if (isset($_POST['art_referencia'])){ $art_referencia=$_POST['art_referencia'];}
if (isset($_POST['cantidad'])){ $cantidad=$_POST['cantidad'];}
if (isset($_POST['precio_venta'])){ $precio_venta=$_POST['precio_venta'];}
if (isset($_POST['art_iva'])){$art_iva=$_POST['art_iva'];}
if (isset($_POST['descuento'])){ $descuento=$_POST['descuento'];}
if (isset($_POST['nombre'])){$nombre=$_POST['nombre'];}
if (isset($_POST['tipo'])){$tipo=$_POST['tipo'];}

if (!empty($cantidad))
{
	$atri1=mysqli_query($con,"SELECT * FROM articulos_has_bodegas where art_id='$art_art_id'");
	$atri1 = mysqli_fetch_array($atri1);
	$atributo1=$atri1['atributo1'];
	
	$atri11=mysqli_query($con,"SELECT * FROM atributos1 where atri_id='$atributo1'");
	$atri11 = mysqli_fetch_array($atri11);
	$atri_nombre=$atri11['atri_nombre'];

	$atributo2=$atri1['atributo2'];
	$atri2=mysqli_query($con,"SELECT * FROM atributos2 where atri_id2='$atributo2'");
	$atri2 = mysqli_fetch_array($atri2);
	$atri_nombre2=$atri2['atri_nombre2'];
	$atributos='('.$atri_nombre.' - '.$atri_nombre2.')';

   	$cana=mysqli_query($con,"SELECT * from articulos_has_bodegas where art_id='$art_art_id' and articulos_art_id='$art_id'") or die(mysqli_error($con)); 
	$datoa=mysqli_fetch_array($cana);
	$art_cantidad=$datoa['art_cantidad'];
	$resta=$art_cantidad-$cantidad;

	if ($bajo_cero=='Si') {

   	$sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$resta' where art_id='$art_art_id' and articulos_art_id='$art_id' and sucursal='$sucursal'") or die(mysqli_error($con)); 	

   	$can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
    $dato2=mysqli_fetch_array($can2);
    $pres_unidad=$dato2['pres_unidad'];

   	$sql=mysqli_query($con,"INSERT INTO venta_apartadas_detalle (venad_art_id,art_art_id,venad_referencia,venad_nombre,venad_unidad,venad_x_cantidad,venad_cantidad,venad_iva,venad_desc,venad_precio,venad_tipo,empresa,ventas_apartadas_vena_id) 
    VALUES ('$art_id','$art_art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta','$tipo','$empresa','$vena_id')") or die(mysqli_error($con));
   }  else {

  if ($resta>=0) 
    {
    	  	$sql=mysqli_query($con,"UPDATE articulos_has_bodegas set art_cantidad='$resta' where art_id='$art_art_id' and articulos_art_id='$art_id' and sucursal='$sucursal'") or die(mysqli_error($con)); 	

   	$can2=mysqli_query($con,"SELECT * FROM articulos_presentacion where pres_art_id='$art_id' and pres_defecto='si' ") or die(mysqli_error($con)); 
    $dato2=mysqli_fetch_array($can2);
    $pres_unidad=$dato2['pres_unidad'];

   	$sql=mysqli_query($con,"INSERT INTO venta_apartadas_detalle (venad_art_id,art_art_id,venad_referencia,venad_nombre,venad_unidad,venad_x_cantidad,venad_cantidad,venad_iva,venad_desc,venad_precio,venad_tipo,empresa,ventas_apartadas_vena_id) 
    VALUES ('$art_id','$art_art_id','$art_referencia','$nombre $atributos','$pres_unidad','1','$cantidad','$art_iva','$descuento','$precio_venta','$tipo','$empresa','$vena_id')") or die(mysqli_error($con));
   } else {

       echo "<script>alert('¡No puedes agregar una cantidad mayor a la existente!');</script>";
      }	
  }
}
?>